> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-licensing-guide/v21/purchase-or-upgrade-licenses/purchase-licenses.md).

# Purchase licenses

You can purchase Parallels RAS licenses online or you can contact a Parallels partner.

## **Purchase licenses online**

Visit <http://www.parallels.com/products/ras/buy/>

## **Purchase licenses through a Parallels partner**

To find a Parallels partner near you, visit <http://www.parallels.com/partners/locator/>

Once you purchase licenses, the Parallels partner will provide you with a single license key which you can use to activate Parallels RAS. You only need one key to register and activate all your licenses.

If you don't already have a Parallels account, you will also receive an invitation to join one.

**Important:** A license key can be used to activate a single installation of Parallels RAS. You can change the activated installation up to three times (for backup purposes, if a previously activated server has been damaged or stolen, etc.). If you need to activate several Parallels RAS installations to work simultaneously, you need multiple license keys.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-licensing-guide/v21/purchase-or-upgrade-licenses/purchase-licenses.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
